GDB (xrefs)

Functions
/tmp/gdb-8.1/gdb/stub-termcap.c File Reference
`#include "defs.h"`

Go to the source code of this file.

## Functions
int | tgetent (char *buffer, char *termtype)
int | tgetnum (char *name)
int | tgetflag (char *name)
char * | tgetstr (char *name, char **area)
int | tputs (char *string, int nlines, int(*outfun)(int))
char * | tgoto (const char *cap, int col, int row)
char PC | __attribute__ ((weak))

## Function Documentation

## ◆ __attribute__()

char PC __attribute__ | ( | (weak) |  | ) |

## ◆ tgetent()

int tgetent | ( | char * | buffer,
|  | char * | termtype
| ) |  |

Definition at line 61 of file stub-termcap.c.

## ◆ tgetflag()

int tgetflag | ( | char * | name | ) |

Definition at line 73 of file stub-termcap.c.

## ◆ tgetnum()

int tgetnum | ( | char * | name | ) |

Definition at line 67 of file stub-termcap.c.

## ◆ tgetstr()

char * tgetstr | ( | char * | name,
|  | char ** | area
| ) |  |

Definition at line 79 of file stub-termcap.c.

## ◆ tgoto()

char * tgoto | ( | const char * | cap,
|  | int | col,
|  | int | row
| ) |  |

Definition at line 94 of file stub-termcap.c.

## ◆ tputs()

int tputs | ( | char * | string,
|  | int | nlines,
|  | int(*)(int) | outfun
| ) |  |

Definition at line 85 of file stub-termcap.c.